<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="../layout.xhtml">


    <h1>Das ist Startseite Bug Formular</h1>

    <ui:define name="head">
        <title>BugFix</title>
    </ui:define>
    <ui:define name="content">
        <ul class="nav nav-tabs">
            <li class="active"><a data-toggle="tab" href="#Open">Open</a></li>
            <li><a data-toggle="tab" href="#Closed">Closed</a></li>

        </ul>

        <div class="tab-content">
            <div id="Open" class="tab-pane fade in active">
                <h5 class="bugsName">Open Bugs</h5>

                <div class="row bugTicket">
                    <div class="col" style="background-color:cornsilk;">
                        <p class="bugsDescription">Bug Name</p>
                        <p class="bugsDescription">Lorem ipsum is placeholder text commonly used in the graphic, print,
                            and publishing industries for previewing layouts and visual mockups.</p>

                    </div>
                    <div class="col" style="background-color:cornflowerblue;">

                        <select class="form-control form-control-sm">
                            <option>Nga</option>
                            <option>Maher</option>
                            <option>Rainiger</option>
                            <option>Ingo</option>
                        </select>
                    </div>
                </div>

            </div>

            <div id="Closed" class="tab-pane fade">
                <h5 class="bugsName">Closed Bugs</h5>


                <div class="row bugTicket">
                    <div class="col" style="background-color:lightgray;">
                        <p class="bugsDescription">Bug Name</p>
                        <p class="bugsDescription">Lorem ipsum is placeholder text commonly used in the graphic, print,
                            and publishing industries for previewing layouts and visual mockups.</p>

                    </div>
                    <div class="col" style="background-color:darkgray;">

                        <select class="form-control form-control-sm">
                            <option>unknown</option>
                        </select>
                    </div>
                </div>


            </div>
        </div>


        <h:form>
            <h:commandButton class="btn btn-info" action="create-bug" value="Catched a Bug?"/>
        </h:form>

        <ui:repeat var="openBug" value="#{startBean.bugs}">

            <div class="container">
                <h2>#{openBug.bugName}</h2>
                <p>#{openBug.bugDescription}</p>
                <p>#{openBug.bugReqDate}</p>
            </div>

        </ui:repeat>

    </ui:define>


</ui:composition>

</html>
